ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 956 by gezelter, Tue May 16 02:06:37 2006 UTC vs.
Revision 957 by gezelter, Tue May 16 20:38:23 2006 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 884 | Line 884 | Optional Packages:
884    --with-zlib=DIR root directory path of zlib installation defaults to
885                      /usr/local or /usr if not found in /usr/local
886    --without-zlib to disable zlib usage completely
887 <  --without-fftw          if you turn this off you cannot compute undulation spectra
887 >  --with-fftw=DIR         root directory path of fftw installation (defaults
888 >                          to /usr/local or /usr if not found in /usr/local)
889    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
890    --with-cgal-makefile=FILE  CGAL makefile that should be used
891  
# Line 1414 | Line 1415 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1415  
1416  
1417  
1417 # ACX_CHECK_FFTW()
1418 # ----------------
1419 # This macro checks for fftw header files and libraries,
1420 # including the possible prefixing with s or d to determine precision.
1421 # Arg 1 is the fftw header/library name to check for, without
1422 # prefix or anything else (e.g. rfftw_mpi for real MPI transforms)
1423 # Arg 2 is the size of the real variable used.
1418  
1419  
1420  
# Line 1429 | Line 1423 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1423  
1424  
1425  
1432
1433
1434
1435
1426   #
1427   #
1428   #
1429  
1430  
1431 +
1432 +
1433 +
1434   # AC_F90_MODULE_NAMES
1435   # -------------------
1436   #
1437   # Figure out how the Fortran 90 compiler constructs module file names
1438   #
1439   # AC_F90_MODULE_NAMES
1440 +
1441 +
1442 +
1443 +
1444 +
1445 +
1446 +
1447 +
1448 +
1449 +
1450 +
1451 +
1452 +
1453 +
1454 +
1455 +
1456 +
1457 +
1458 +
1459 +
1460 +
1461 +
1462 +
1463 +
1464  
1465  
1466  
# Line 1480 | Line 1497 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1497  
1498  
1499  
1500 +
1501 +
1502 +
1503 +
1504 +
1505 +
1506 +
1507 +
1508 +
1509 +
1510 +
1511 +
1512 +
1513 +
1514 +
1515 +
1516 +
1517 +
1518 +
1519 +
1520 +
1521 +
1522 +
1523 +
1524 +
1525 +
1526 +
1527 +
1528   # who am i
1529   # Make sure we can run config.sub.
1530   $ac_config_sub sun4 >/dev/null 2>&1 ||
# Line 2740 | Line 2785 | fi
2785  
2786  
2787   # Provide some information about the compiler.
2788 < echo "$as_me:2743:" \
2788 > echo "$as_me:2788:" \
2789       "checking for Fortran compiler version" >&5
2790   ac_compiler=`set X $ac_compile; echo $2`
2791   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3492 | Line 3537 | if test "$AR" = "NONE"; then
3537   fi
3538  
3539   if test "$AR" = "NONE"; then
3495  { { echo "$as_me:$LINENO: error: --> Can't find \`ar'!" >&5
3496 echo "$as_me: error: --> Can't find \`ar'!" >&2;}
3497   { (exit 1); exit 1; }; }
3540    cat >confcache <<\_ACEOF
3541   # This file is a shell script that caches the results of configure
3542   # tests run on this system so they can be shared between configure
# Line 3991 | Line 4033 | FCFLAGS="$FCFLAGS $ac_verb"
4033   # flags.
4034   ac_save_FFLAGS=$FCFLAGS
4035   FCFLAGS="$FCFLAGS $ac_verb"
4036 < (eval echo $as_me:3994: \"$ac_link\") >&5
4036 > (eval echo $as_me:4036: \"$ac_link\") >&5
4037   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4038   echo "$ac_fc_v_output" >&5
4039   FCFLAGS=$ac_save_FFLAGS
# Line 4069 | Line 4111 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4111   # flags.
4112   ac_save_FFLAGS=$FCFLAGS
4113   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4114 < (eval echo $as_me:4072: \"$ac_link\") >&5
4114 > (eval echo $as_me:4114: \"$ac_link\") >&5
4115   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4116   echo "$ac_fc_v_output" >&5
4117   FCFLAGS=$ac_save_FFLAGS
# Line 4805 | Line 4847 | FCFLAGS="$FCFLAGS $ac_verb"
4847   # flags.
4848   ac_save_FFLAGS=$FCFLAGS
4849   FCFLAGS="$FCFLAGS $ac_verb"
4850 < (eval echo $as_me:4808: \"$ac_link\") >&5
4850 > (eval echo $as_me:4850: \"$ac_link\") >&5
4851   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4852   echo "$ac_fc_v_output" >&5
4853   FCFLAGS=$ac_save_FFLAGS
# Line 4883 | Line 4925 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4925   # flags.
4926   ac_save_FFLAGS=$FCFLAGS
4927   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4928 < (eval echo $as_me:4886: \"$ac_link\") >&5
4928 > (eval echo $as_me:4928: \"$ac_link\") >&5
4929   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4930   echo "$ac_fc_v_output" >&5
4931   FCFLAGS=$ac_save_FFLAGS
# Line 6141 | Line 6183 | fi
6183   fi
6184  
6185  
6186 + #
6187 + # Handle user hints
6188 + #
6189  
6190   # Check whether --with-fftw or --without-fftw was given.
6191   if test "${with_fftw+set}" = set; then
6192    withval="$with_fftw"
6193 <
6193 >  fftw_dir="$withval"
6194   else
6195 <  with_fftw=yes
6195 >                fftw_dir="not_set"
6196   fi;
6197 < if test "$with_fftw" = "no"; then
6197 > if test "$fftw_dir" != "no"; then
6198  
6199 < cat >>confdefs.h <<\_ACEOF
6200 < #define WITHOUT_FFTW
6201 < _ACEOF
6202 <
6199 > if test "$fftw_dir" != "not_set" ; then
6200 >  if test -d "$fftw_dir"
6201 >  then
6202 >    FFTW_HOME="$fftw_dir"
6203 >  else
6204 >    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6205 > echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6206 >  fi
6207   fi
6159 if test "$with_fftw" = "yes"; then
6160  sizeof_real=8
6208  
6209 <
6210 < if test -z "$ac_fftw_firstname"; then
6211 <
6212 < sizeof_real=$sizeof_real
6166 < if test $sizeof_real = 8; then
6167 <  prec="double"
6168 <  fftwcheckprefix=d
6169 < else
6170 <  prec="single"
6171 <  fftwcheckprefix=s
6209 > FFTW_HOME=/usr/local
6210 > if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6211 > then
6212 >        FFTW_HOME=/usr
6213   fi
6214  
6215 < xfftwname=${fftwcheckprefix}fftw3
6215 > #
6216 > # Locate fftw, if wanted
6217 > #
6218 > if test -n "${FFTW_HOME}"
6219 > then
6220 >        FFTW_OLD_LDFLAGS=$LDFLAGS
6221 >        FFTW_OLD_CPPFLAGS=$LDFLAGS
6222 >        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6223 >        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6224  
6176 ok="no"
6177 # check header doesn't work, since we must use mpicc to get includes,
6178 # we cant trust cpp.
6179 echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6180 echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6181 cat >conftest.$ac_ext <<_ACEOF
6182 /* confdefs.h.  */
6183 _ACEOF
6184 cat confdefs.h >>conftest.$ac_ext
6185 cat >>conftest.$ac_ext <<_ACEOF
6186 /* end confdefs.h.  */
6187 #include <$xfftwname.h>
6188 #ifdef FC_DUMMY_MAIN
6189 #ifndef FC_DUMMY_MAIN_EQ_F77
6190 #  ifdef __cplusplus
6191     extern "C"
6192 #  endif
6193   int FC_DUMMY_MAIN() { return 1; }
6194 #endif
6195 #endif
6196 int
6197 main ()
6198 {
6225  
6226 <  ;
6227 <  return 0;
6228 < }
6229 < _ACEOF
6230 < rm -f conftest.$ac_objext
6205 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6206 <  (eval $ac_compile) 2>conftest.er1
6207 <  ac_status=$?
6208 <  grep -v '^ *+' conftest.er1 >conftest.err
6209 <  rm -f conftest.er1
6210 <  cat conftest.err >&5
6211 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6212 <  (exit $ac_status); } &&
6213 <         { ac_try='test -z "$ac_c_werror_flag"
6214 <                         || test ! -s conftest.err'
6215 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6216 <  (eval $ac_try) 2>&5
6217 <  ac_status=$?
6218 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6219 <  (exit $ac_status); }; } &&
6220 <         { ac_try='test -s conftest.$ac_objext'
6221 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6222 <  (eval $ac_try) 2>&5
6223 <  ac_status=$?
6224 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6225 <  (exit $ac_status); }; }; then
6226 >        ac_ext=c
6227 > ac_cpp='$CPP $CPPFLAGS'
6228 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6229 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6230 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6231  
6232 < fftwname=$xfftwname
6233 < echo "$as_me:$LINENO: result: yes" >&5
6234 < echo "${ECHO_T}yes" >&6
6235 <
6232 >        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6233 > echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6234 > if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6235 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6236   else
6237 <  echo "$as_me: failed program was:" >&5
6238 < sed 's/^/| /' conftest.$ac_ext >&5
6234 <
6235 < echo "$as_me:$LINENO: result: no" >&5
6236 < echo "${ECHO_T}no" >&6
6237 < fi
6238 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6239 <
6240 < # fftwname was set if we found a header
6241 <
6242 < if test -n "$fftwname"; then
6243 < # we cannot run the code since an MPI program might not be allowed
6244 < # on a login node of a supercomputer
6237 >  ac_check_lib_save_LIBS=$LIBS
6238 > LIBS="-lfftw3  $LIBS"
6239   cat >conftest.$ac_ext <<_ACEOF
6240   /* confdefs.h.  */
6241   _ACEOF
6242   cat confdefs.h >>conftest.$ac_ext
6243   cat >>conftest.$ac_ext <<_ACEOF
6244   /* end confdefs.h.  */
6245 < #include <$fftwname.h>
6245 >
6246 > /* Override any gcc2 internal prototype to avoid an error.  */
6247 > #ifdef __cplusplus
6248 > extern "C"
6249 > #endif
6250 > /* We use char because int might match the return type of a gcc2
6251 >   builtin and then its argument prototype would still apply.  */
6252 > char fftw_execute ();
6253   #ifdef FC_DUMMY_MAIN
6254   #ifndef FC_DUMMY_MAIN_EQ_F77
6255   #  ifdef __cplusplus
# Line 6260 | Line 6261 | main ()
6261   int
6262   main ()
6263   {
6264 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6264 > fftw_execute ();
6265    ;
6266    return 0;
6267   }
6268   _ACEOF
6269 < rm -f conftest.$ac_objext
6270 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6271 <  (eval $ac_compile) 2>conftest.er1
6269 > rm -f conftest.$ac_objext conftest$ac_exeext
6270 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6271 >  (eval $ac_link) 2>conftest.er1
6272    ac_status=$?
6273    grep -v '^ *+' conftest.er1 >conftest.err
6274    rm -f conftest.er1
# Line 6281 | Line 6282 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6282    ac_status=$?
6283    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6284    (exit $ac_status); }; } &&
6285 <         { ac_try='test -s conftest.$ac_objext'
6285 >         { ac_try='test -s conftest$ac_exeext'
6286    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6287    (eval $ac_try) 2>&5
6288    ac_status=$?
6289    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6290    (exit $ac_status); }; }; then
6291 <
6291 < ok=yes
6292 < usedprefix=$fftwcheckprefix
6293 <
6291 >  ac_cv_lib_fftw3_fftw_execute=yes
6292   else
6293    echo "$as_me: failed program was:" >&5
6294   sed 's/^/| /' conftest.$ac_ext >&5
6295  
6296 < ok=no
6296 > ac_cv_lib_fftw3_fftw_execute=no
6297   fi
6298 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6298 > rm -f conftest.err conftest.$ac_objext \
6299 >      conftest$ac_exeext conftest.$ac_ext
6300 > LIBS=$ac_check_lib_save_LIBS
6301   fi
6302 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3_fftw_execute" >&5
6303 + echo "${ECHO_T}$ac_cv_lib_fftw3_fftw_execute" >&6
6304 + if test $ac_cv_lib_fftw3_fftw_execute = yes; then
6305 +  fftw_cv_libfftw3=yes
6306 + else
6307 +  fftw_cv_libfftw3=no
6308 + fi
6309  
6310 < if test "$ok" != "yes"; then
6310 >        if test "${ac_cv_header_fftw3_h+set}" = set; then
6311    echo "$as_me:$LINENO: checking for fftw3.h" >&5
6312   echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6313 <  cat >conftest.$ac_ext <<_ACEOF
6313 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6314 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6315 > fi
6316 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6317 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6318 > else
6319 >  # Is the header compilable?
6320 > echo "$as_me:$LINENO: checking fftw3.h usability" >&5
6321 > echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6
6322 > cat >conftest.$ac_ext <<_ACEOF
6323   /* confdefs.h.  */
6324   _ACEOF
6325   cat confdefs.h >>conftest.$ac_ext
6326   cat >>conftest.$ac_ext <<_ACEOF
6327   /* end confdefs.h.  */
6328 + $ac_includes_default
6329   #include <fftw3.h>
6313 #ifdef FC_DUMMY_MAIN
6314 #ifndef FC_DUMMY_MAIN_EQ_F77
6315 #  ifdef __cplusplus
6316     extern "C"
6317 #  endif
6318   int FC_DUMMY_MAIN() { return 1; }
6319 #endif
6320 #endif
6321 int
6322 main ()
6323 {
6324
6325  ;
6326  return 0;
6327 }
6330   _ACEOF
6331   rm -f conftest.$ac_objext
6332   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6348 | Line 6350 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6350    ac_status=$?
6351    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6352    (exit $ac_status); }; }; then
6353 <  echo "$as_me:$LINENO: result: yes" >&5
6352 < echo "${ECHO_T}yes" >&6
6353 >  ac_header_compiler=yes
6354   else
6355    echo "$as_me: failed program was:" >&5
6356   sed 's/^/| /' conftest.$ac_ext >&5
6357  
6358 <
6358 < echo "$as_me:$LINENO: result: no" >&5
6359 < echo "${ECHO_T}no" >&6
6360 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6361 < Do you have $prec precision FFTW installed? If you are using packages,
6362 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6363 < software at www.fftw.org.
6364 < If you compiled FFTW yourself:
6365 < Note that the default FFTW setup is double precision.  If you want MPI support,
6366 < use --with-mpi. It is a good idea to install both single & double.
6367 < If you have installed FFTW in a non-standard location, you should
6368 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6369 < variables before running configure.
6370 < That is also necessary to do if your compiler doesn't search
6371 < /usr/local/include and /usr/local/lib by default." >&5
6372 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6373 < Do you have $prec precision FFTW installed? If you are using packages,
6374 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6375 < software at www.fftw.org.
6376 < If you compiled FFTW yourself:
6377 < Note that the default FFTW setup is double precision.  If you want MPI support,
6378 < use --with-mpi. It is a good idea to install both single & double.
6379 < If you have installed FFTW in a non-standard location, you should
6380 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6381 < variables before running configure.
6382 < That is also necessary to do if your compiler doesn't search
6383 < /usr/local/include and /usr/local/lib by default." >&2;}
6384 <   { (exit 1); exit 1; }; }
6385 <
6358 > ac_header_compiler=no
6359   fi
6360   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6361 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6362 + echo "${ECHO_T}$ac_header_compiler" >&6
6363 +
6364 + # Is the header present?
6365 + echo "$as_me:$LINENO: checking fftw3.h presence" >&5
6366 + echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6
6367   cat >conftest.$ac_ext <<_ACEOF
6368   /* confdefs.h.  */
6369   _ACEOF
# Line 6392 | Line 6371 | cat >>conftest.$ac_ext <<_ACEOF
6371   cat >>conftest.$ac_ext <<_ACEOF
6372   /* end confdefs.h.  */
6373   #include <fftw3.h>
6395 #ifdef FC_DUMMY_MAIN
6396 #ifndef FC_DUMMY_MAIN_EQ_F77
6397 #  ifdef __cplusplus
6398     extern "C"
6399 #  endif
6400   int FC_DUMMY_MAIN() { return 1; }
6401 #endif
6402 #endif
6403 int
6404 main ()
6405 {
6406 int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6407  ;
6408  return 0;
6409 }
6374   _ACEOF
6375 < rm -f conftest.$ac_objext
6376 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6413 <  (eval $ac_compile) 2>conftest.er1
6375 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6376 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6377    ac_status=$?
6378    grep -v '^ *+' conftest.er1 >conftest.err
6379    rm -f conftest.er1
6380    cat conftest.err >&5
6381    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6382 <  (exit $ac_status); } &&
6383 <         { ac_try='test -z "$ac_c_werror_flag"
6384 <                         || test ! -s conftest.err'
6385 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6386 <  (eval $ac_try) 2>&5
6387 <  ac_status=$?
6388 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6426 <  (exit $ac_status); }; } &&
6427 <         { ac_try='test -s conftest.$ac_objext'
6428 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6429 <  (eval $ac_try) 2>&5
6430 <  ac_status=$?
6431 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6432 <  (exit $ac_status); }; }; then
6433 <
6434 < usedprefix=""
6435 < fftwname=fftw3
6436 <
6382 >  (exit $ac_status); } >/dev/null; then
6383 >  if test -s conftest.err; then
6384 >    ac_cpp_err=$ac_c_preproc_warn_flag
6385 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6386 >  else
6387 >    ac_cpp_err=
6388 >  fi
6389   else
6390 +  ac_cpp_err=yes
6391 + fi
6392 + if test -z "$ac_cpp_err"; then
6393 +  ac_header_preproc=yes
6394 + else
6395    echo "$as_me: failed program was:" >&5
6396   sed 's/^/| /' conftest.$ac_ext >&5
6397  
6398 <
6442 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6443 < Do you have $prec precision FFTW installed? If you are using packages,
6444 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6445 < software at www.fftw.org.
6446 < If you compiled FFTW yourself:
6447 < Note that the default FFTW setup is double precision.  If you want MPI support,
6448 < use --with-mpi. It is a good idea to install both single & double.
6449 < If you have installed FFTW in a non-standard location, you should
6450 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6451 < variables before running configure.
6452 < That is also necessary to do if your compiler doesn't search
6453 < /usr/local/include and /usr/local/lib by default." >&5
6454 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6455 < Do you have $prec precision FFTW installed? If you are using packages,
6456 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6457 < software at www.fftw.org.
6458 < If you compiled FFTW yourself:
6459 < Note that the default FFTW setup is double precision.  If you want MPI support,
6460 < use --with-mpi. It is a good idea to install both single & double.
6461 < If you have installed FFTW in a non-standard location, you should
6462 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6463 < variables before running configure.
6464 < That is also necessary to do if your compiler doesn't search
6465 < /usr/local/include and /usr/local/lib by default." >&2;}
6466 <   { (exit 1); exit 1; }; }
6398 >  ac_header_preproc=no
6399   fi
6400 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6401 < fi
6400 > rm -f conftest.err conftest.$ac_ext
6401 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6402 > echo "${ECHO_T}$ac_header_preproc" >&6
6403  
6404 <
6405 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6406 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6407 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6408 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6404 > # So?  What about this header?
6405 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6406 >  yes:no: )
6407 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
6408 > echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6409 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
6410 > echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
6411 >    ac_header_preproc=yes
6412 >    ;;
6413 >  no:yes:* )
6414 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
6415 > echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
6416 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
6417 > echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
6418 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
6419 > echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
6420 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
6421 > echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6422 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
6423 > echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
6424 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
6425 > echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
6426 >    (
6427 >      cat <<\_ASBOX
6428 > ## ------------------------------ ##
6429 > ## Report this to gezelter@nd.edu ##
6430 > ## ------------------------------ ##
6431 > _ASBOX
6432 >    ) |
6433 >      sed "s/^/$as_me: WARNING:     /" >&2
6434 >    ;;
6435 > esac
6436 > echo "$as_me:$LINENO: checking for fftw3.h" >&5
6437 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6438 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6439    echo $ECHO_N "(cached) $ECHO_C" >&6
6440   else
6441 <  ac_check_lib_save_LIBS=$LIBS
6479 < LIBS="-l$fftwname  $LIBS"
6480 < cat >conftest.$ac_ext <<_ACEOF
6481 < /* confdefs.h.  */
6482 < _ACEOF
6483 < cat confdefs.h >>conftest.$ac_ext
6484 < cat >>conftest.$ac_ext <<_ACEOF
6485 < /* end confdefs.h.  */
6486 <
6487 <
6488 < #ifdef FC_DUMMY_MAIN
6489 < #ifndef FC_DUMMY_MAIN_EQ_F77
6490 < #  ifdef __cplusplus
6491 <     extern "C"
6492 < #  endif
6493 <   int FC_DUMMY_MAIN() { return 1; }
6494 < #endif
6495 < #endif
6496 < int
6497 < main ()
6498 < {
6499 < main ();
6500 <  ;
6501 <  return 0;
6502 < }
6503 < _ACEOF
6504 < rm -f conftest.$ac_objext conftest$ac_exeext
6505 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6506 <  (eval $ac_link) 2>conftest.er1
6507 <  ac_status=$?
6508 <  grep -v '^ *+' conftest.er1 >conftest.err
6509 <  rm -f conftest.er1
6510 <  cat conftest.err >&5
6511 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6512 <  (exit $ac_status); } &&
6513 <         { ac_try='test -z "$ac_c_werror_flag"
6514 <                         || test ! -s conftest.err'
6515 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6516 <  (eval $ac_try) 2>&5
6517 <  ac_status=$?
6518 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6519 <  (exit $ac_status); }; } &&
6520 <         { ac_try='test -s conftest$ac_exeext'
6521 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6522 <  (eval $ac_try) 2>&5
6523 <  ac_status=$?
6524 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6525 <  (exit $ac_status); }; }; then
6526 <  eval "$as_ac_Lib=yes"
6527 < else
6528 <  echo "$as_me: failed program was:" >&5
6529 < sed 's/^/| /' conftest.$ac_ext >&5
6530 <
6531 < eval "$as_ac_Lib=no"
6441 >  ac_cv_header_fftw3_h=$ac_header_preproc
6442   fi
6443 < rm -f conftest.err conftest.$ac_objext \
6444 <      conftest$ac_exeext conftest.$ac_ext
6535 < LIBS=$ac_check_lib_save_LIBS
6536 < fi
6537 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6538 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6539 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6540 <  cat >>confdefs.h <<_ACEOF
6541 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
6542 < _ACEOF
6443 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6444 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6445  
6446 <  LIBS="-l$fftwname $LIBS"
6447 <
6446 > fi
6447 > if test $ac_cv_header_fftw3_h = yes; then
6448 >  fftw_cv_fftw3_h=yes
6449   else
6450 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
6548 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
6549 <   { (exit 1); exit 1; }; }
6450 >  fftw_cv_fftw3_h=no
6451   fi
6452  
6552 ac_fftw_savedprefix=$usedprefix
6553 ac_fftw_firstname=$fftwname
6453  
6454 +        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6455 +        then
6456 +                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6457 + echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6458 + if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6459 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6460   else
6461 <
6462 < fftwname=${ac_fftw_savedprefix}fftw3
6558 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
6559 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6461 >  ac_check_lib_save_LIBS=$LIBS
6462 > LIBS="-lfftw  $LIBS"
6463   cat >conftest.$ac_ext <<_ACEOF
6464   /* confdefs.h.  */
6465   _ACEOF
6466   cat confdefs.h >>conftest.$ac_ext
6467   cat >>conftest.$ac_ext <<_ACEOF
6468   /* end confdefs.h.  */
6566 #include <$fftwname.h>
6567 #ifdef FC_DUMMY_MAIN
6568 #ifndef FC_DUMMY_MAIN_EQ_F77
6569 #  ifdef __cplusplus
6570     extern "C"
6571 #  endif
6572   int FC_DUMMY_MAIN() { return 1; }
6573 #endif
6574 #endif
6575 int
6576 main ()
6577 {
6469  
6470 <  ;
6471 <  return 0;
6472 < }
6473 < _ACEOF
6474 < rm -f conftest.$ac_objext
6475 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6476 <  (eval $ac_compile) 2>conftest.er1
6586 <  ac_status=$?
6587 <  grep -v '^ *+' conftest.er1 >conftest.err
6588 <  rm -f conftest.er1
6589 <  cat conftest.err >&5
6590 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6591 <  (exit $ac_status); } &&
6592 <         { ac_try='test -z "$ac_c_werror_flag"
6593 <                         || test ! -s conftest.err'
6594 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6595 <  (eval $ac_try) 2>&5
6596 <  ac_status=$?
6597 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6598 <  (exit $ac_status); }; } &&
6599 <         { ac_try='test -s conftest.$ac_objext'
6600 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6601 <  (eval $ac_try) 2>&5
6602 <  ac_status=$?
6603 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6604 <  (exit $ac_status); }; }; then
6605 <  echo "$as_me:$LINENO: result: yes" >&5
6606 < echo "${ECHO_T}yes" >&6
6607 < LIBS="-l$fftwname $LIBS"
6608 < cat >conftest.$ac_ext <<_ACEOF
6609 < /* confdefs.h.  */
6610 < _ACEOF
6611 < cat confdefs.h >>conftest.$ac_ext
6612 < cat >>conftest.$ac_ext <<_ACEOF
6613 < /* end confdefs.h.  */
6614 <
6615 <
6470 > /* Override any gcc2 internal prototype to avoid an error.  */
6471 > #ifdef __cplusplus
6472 > extern "C"
6473 > #endif
6474 > /* We use char because int might match the return type of a gcc2
6475 >   builtin and then its argument prototype would still apply.  */
6476 > char fftwnd_one ();
6477   #ifdef FC_DUMMY_MAIN
6478   #ifndef FC_DUMMY_MAIN_EQ_F77
6479   #  ifdef __cplusplus
# Line 6624 | Line 6485 | main ()
6485   int
6486   main ()
6487   {
6488 < main ();
6488 > fftwnd_one ();
6489    ;
6490    return 0;
6491   }
# Line 6651 | Line 6512 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6512    ac_status=$?
6513    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6514    (exit $ac_status); }; }; then
6515 <  :
6515 >  ac_cv_lib_fftw_fftwnd_one=yes
6516   else
6517    echo "$as_me: failed program was:" >&5
6518   sed 's/^/| /' conftest.$ac_ext >&5
6519  
6520 + ac_cv_lib_fftw_fftwnd_one=no
6521   fi
6522   rm -f conftest.err conftest.$ac_objext \
6523        conftest$ac_exeext conftest.$ac_ext
6524 + LIBS=$ac_check_lib_save_LIBS
6525 + fi
6526 + echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftwnd_one" >&5
6527 + echo "${ECHO_T}$ac_cv_lib_fftw_fftwnd_one" >&6
6528 + if test $ac_cv_lib_fftw_fftwnd_one = yes; then
6529 +  fftw_cv_libfftw=yes
6530   else
6531 <  echo "$as_me: failed program was:" >&5
6664 < sed 's/^/| /' conftest.$ac_ext >&5
6665 <
6666 <
6667 < echo "$as_me:$LINENO: result: no" >&5
6668 < echo "${ECHO_T}no" >&6
6669 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6670 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6671 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6672 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6673 <   { (exit 1); exit 1; }; }
6674 <
6531 >  fftw_cv_libfftw=no
6532   fi
6676 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6533  
6534 +                if test "${ac_cv_header_fftw_h+set}" = set; then
6535 +  echo "$as_me:$LINENO: checking for fftw.h" >&5
6536 + echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6537 + if test "${ac_cv_header_fftw_h+set}" = set; then
6538 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6539   fi
6540 <
6541 <
6681 <
6682 <  if test "$with_mpi" = "yes"; then
6683 <
6684 < if test -z "$ac_fftw_firstname"; then
6685 <
6686 < sizeof_real=$sizeof_real
6687 < if test $sizeof_real = 8; then
6688 <  prec="double"
6689 <  fftwcheckprefix=d
6540 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6541 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6542   else
6543 <  prec="single"
6544 <  fftwcheckprefix=s
6545 < fi
6694 <
6695 < xfftwname=${fftwcheckprefix}fftw3_mpi
6696 <
6697 < ok="no"
6698 < # check header doesn't work, since we must use mpicc to get includes,
6699 < # we cant trust cpp.
6700 < echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6701 < echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6543 >  # Is the header compilable?
6544 > echo "$as_me:$LINENO: checking fftw.h usability" >&5
6545 > echo $ECHO_N "checking fftw.h usability... $ECHO_C" >&6
6546   cat >conftest.$ac_ext <<_ACEOF
6547   /* confdefs.h.  */
6548   _ACEOF
6549   cat confdefs.h >>conftest.$ac_ext
6550   cat >>conftest.$ac_ext <<_ACEOF
6551   /* end confdefs.h.  */
6552 < #include <$xfftwname.h>
6553 < #ifdef FC_DUMMY_MAIN
6710 < #ifndef FC_DUMMY_MAIN_EQ_F77
6711 < #  ifdef __cplusplus
6712 <     extern "C"
6713 < #  endif
6714 <   int FC_DUMMY_MAIN() { return 1; }
6715 < #endif
6716 < #endif
6717 < int
6718 < main ()
6719 < {
6720 <
6721 <  ;
6722 <  return 0;
6723 < }
6552 > $ac_includes_default
6553 > #include <fftw.h>
6554   _ACEOF
6555   rm -f conftest.$ac_objext
6556   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 6744 | Line 6574 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6574    ac_status=$?
6575    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6576    (exit $ac_status); }; }; then
6577 <
6748 < fftwname=$xfftwname
6749 < echo "$as_me:$LINENO: result: yes" >&5
6750 < echo "${ECHO_T}yes" >&6
6751 <
6577 >  ac_header_compiler=yes
6578   else
6579    echo "$as_me: failed program was:" >&5
6580   sed 's/^/| /' conftest.$ac_ext >&5
6581  
6582 < echo "$as_me:$LINENO: result: no" >&5
6757 < echo "${ECHO_T}no" >&6
6582 > ac_header_compiler=no
6583   fi
6584   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6585 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6586 + echo "${ECHO_T}$ac_header_compiler" >&6
6587  
6588 < # fftwname was set if we found a header
6589 <
6590 < if test -n "$fftwname"; then
6764 < # we cannot run the code since an MPI program might not be allowed
6765 < # on a login node of a supercomputer
6588 > # Is the header present?
6589 > echo "$as_me:$LINENO: checking fftw.h presence" >&5
6590 > echo $ECHO_N "checking fftw.h presence... $ECHO_C" >&6
6591   cat >conftest.$ac_ext <<_ACEOF
6592   /* confdefs.h.  */
6593   _ACEOF
6594   cat confdefs.h >>conftest.$ac_ext
6595   cat >>conftest.$ac_ext <<_ACEOF
6596   /* end confdefs.h.  */
6597 < #include <$fftwname.h>
6773 < #ifdef FC_DUMMY_MAIN
6774 < #ifndef FC_DUMMY_MAIN_EQ_F77
6775 < #  ifdef __cplusplus
6776 <     extern "C"
6777 < #  endif
6778 <   int FC_DUMMY_MAIN() { return 1; }
6779 < #endif
6780 < #endif
6781 < int
6782 < main ()
6783 < {
6784 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6785 <  ;
6786 <  return 0;
6787 < }
6597 > #include <fftw.h>
6598   _ACEOF
6599 < rm -f conftest.$ac_objext
6600 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6791 <  (eval $ac_compile) 2>conftest.er1
6599 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6600 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6601    ac_status=$?
6602    grep -v '^ *+' conftest.er1 >conftest.err
6603    rm -f conftest.er1
6604    cat conftest.err >&5
6605    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6606 <  (exit $ac_status); } &&
6607 <         { ac_try='test -z "$ac_c_werror_flag"
6608 <                         || test ! -s conftest.err'
6609 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6610 <  (eval $ac_try) 2>&5
6611 <  ac_status=$?
6612 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6804 <  (exit $ac_status); }; } &&
6805 <         { ac_try='test -s conftest.$ac_objext'
6806 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6807 <  (eval $ac_try) 2>&5
6808 <  ac_status=$?
6809 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6810 <  (exit $ac_status); }; }; then
6811 <
6812 < ok=yes
6813 < usedprefix=$fftwcheckprefix
6814 <
6606 >  (exit $ac_status); } >/dev/null; then
6607 >  if test -s conftest.err; then
6608 >    ac_cpp_err=$ac_c_preproc_warn_flag
6609 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6610 >  else
6611 >    ac_cpp_err=
6612 >  fi
6613   else
6614 <  echo "$as_me: failed program was:" >&5
6817 < sed 's/^/| /' conftest.$ac_ext >&5
6818 <
6819 < ok=no
6614 >  ac_cpp_err=yes
6615   fi
6616 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6617 < fi
6823 <
6824 < if test "$ok" != "yes"; then
6825 <  echo "$as_me:$LINENO: checking for fftw3_mpi.h" >&5
6826 < echo $ECHO_N "checking for fftw3_mpi.h... $ECHO_C" >&6
6827 <  cat >conftest.$ac_ext <<_ACEOF
6828 < /* confdefs.h.  */
6829 < _ACEOF
6830 < cat confdefs.h >>conftest.$ac_ext
6831 < cat >>conftest.$ac_ext <<_ACEOF
6832 < /* end confdefs.h.  */
6833 < #include <fftw3_mpi.h>
6834 < #ifdef FC_DUMMY_MAIN
6835 < #ifndef FC_DUMMY_MAIN_EQ_F77
6836 < #  ifdef __cplusplus
6837 <     extern "C"
6838 < #  endif
6839 <   int FC_DUMMY_MAIN() { return 1; }
6840 < #endif
6841 < #endif
6842 < int
6843 < main ()
6844 < {
6845 <
6846 <  ;
6847 <  return 0;
6848 < }
6849 < _ACEOF
6850 < rm -f conftest.$ac_objext
6851 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6852 <  (eval $ac_compile) 2>conftest.er1
6853 <  ac_status=$?
6854 <  grep -v '^ *+' conftest.er1 >conftest.err
6855 <  rm -f conftest.er1
6856 <  cat conftest.err >&5
6857 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6858 <  (exit $ac_status); } &&
6859 <         { ac_try='test -z "$ac_c_werror_flag"
6860 <                         || test ! -s conftest.err'
6861 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6862 <  (eval $ac_try) 2>&5
6863 <  ac_status=$?
6864 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6865 <  (exit $ac_status); }; } &&
6866 <         { ac_try='test -s conftest.$ac_objext'
6867 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6868 <  (eval $ac_try) 2>&5
6869 <  ac_status=$?
6870 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6871 <  (exit $ac_status); }; }; then
6872 <  echo "$as_me:$LINENO: result: yes" >&5
6873 < echo "${ECHO_T}yes" >&6
6616 > if test -z "$ac_cpp_err"; then
6617 >  ac_header_preproc=yes
6618   else
6619    echo "$as_me: failed program was:" >&5
6620   sed 's/^/| /' conftest.$ac_ext >&5
6621  
6622 <
6879 < echo "$as_me:$LINENO: result: no" >&5
6880 < echo "${ECHO_T}no" >&6
6881 < { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6882 < Do you have $prec precision FFTW installed? If you are using packages,
6883 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6884 < software at www.fftw.org.
6885 < If you compiled FFTW yourself:
6886 < Note that the default FFTW setup is double precision.  If you want MPI support,
6887 < use --with-mpi. It is a good idea to install both single & double.
6888 < If you have installed FFTW in a non-standard location, you should
6889 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6890 < variables before running configure.
6891 < That is also necessary to do if your compiler doesn't search
6892 < /usr/local/include and /usr/local/lib by default." >&5
6893 < echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6894 < Do you have $prec precision FFTW installed? If you are using packages,
6895 < note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6896 < software at www.fftw.org.
6897 < If you compiled FFTW yourself:
6898 < Note that the default FFTW setup is double precision.  If you want MPI support,
6899 < use --with-mpi. It is a good idea to install both single & double.
6900 < If you have installed FFTW in a non-standard location, you should
6901 < provide the correct paths in the CPPFLAGS and LDFLAGS environment
6902 < variables before running configure.
6903 < That is also necessary to do if your compiler doesn't search
6904 < /usr/local/include and /usr/local/lib by default." >&2;}
6905 <   { (exit 1); exit 1; }; }
6906 <
6622 >  ac_header_preproc=no
6623   fi
6624 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6625 < cat >conftest.$ac_ext <<_ACEOF
6626 < /* confdefs.h.  */
6911 < _ACEOF
6912 < cat confdefs.h >>conftest.$ac_ext
6913 < cat >>conftest.$ac_ext <<_ACEOF
6914 < /* end confdefs.h.  */
6915 < #include <fftw3_mpi.h>
6916 < #ifdef FC_DUMMY_MAIN
6917 < #ifndef FC_DUMMY_MAIN_EQ_F77
6918 < #  ifdef __cplusplus
6919 <     extern "C"
6920 < #  endif
6921 <   int FC_DUMMY_MAIN() { return 1; }
6922 < #endif
6923 < #endif
6924 < int
6925 < main ()
6926 < {
6927 < int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6928 <  ;
6929 <  return 0;
6930 < }
6931 < _ACEOF
6932 < rm -f conftest.$ac_objext
6933 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6934 <  (eval $ac_compile) 2>conftest.er1
6935 <  ac_status=$?
6936 <  grep -v '^ *+' conftest.er1 >conftest.err
6937 <  rm -f conftest.er1
6938 <  cat conftest.err >&5
6939 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6940 <  (exit $ac_status); } &&
6941 <         { ac_try='test -z "$ac_c_werror_flag"
6942 <                         || test ! -s conftest.err'
6943 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6944 <  (eval $ac_try) 2>&5
6945 <  ac_status=$?
6946 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6947 <  (exit $ac_status); }; } &&
6948 <         { ac_try='test -s conftest.$ac_objext'
6949 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6950 <  (eval $ac_try) 2>&5
6951 <  ac_status=$?
6952 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6953 <  (exit $ac_status); }; }; then
6624 > rm -f conftest.err conftest.$ac_ext
6625 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6626 > echo "${ECHO_T}$ac_header_preproc" >&6
6627  
6628 < usedprefix=""
6629 < fftwname=fftw3_mpi
6630 <
6628 > # So?  What about this header?
6629 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6630 >  yes:no: )
6631 >    { echo "$as_me:$LINENO: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6632 > echo "$as_me: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6633 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the compiler's result" >&5
6634 > echo "$as_me: WARNING: fftw.h: proceeding with the compiler's result" >&2;}
6635 >    ac_header_preproc=yes
6636 >    ;;
6637 >  no:yes:* )
6638 >    { echo "$as_me:$LINENO: WARNING: fftw.h: present but cannot be compiled" >&5
6639 > echo "$as_me: WARNING: fftw.h: present but cannot be compiled" >&2;}
6640 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     check for missing prerequisite headers?" >&5
6641 > echo "$as_me: WARNING: fftw.h:     check for missing prerequisite headers?" >&2;}
6642 >    { echo "$as_me:$LINENO: WARNING: fftw.h: see the Autoconf documentation" >&5
6643 > echo "$as_me: WARNING: fftw.h: see the Autoconf documentation" >&2;}
6644 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6645 > echo "$as_me: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6646 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the preprocessor's result" >&5
6647 > echo "$as_me: WARNING: fftw.h: proceeding with the preprocessor's result" >&2;}
6648 >    { echo "$as_me:$LINENO: WARNING: fftw.h: in the future, the compiler will take precedence" >&5
6649 > echo "$as_me: WARNING: fftw.h: in the future, the compiler will take precedence" >&2;}
6650 >    (
6651 >      cat <<\_ASBOX
6652 > ## ------------------------------ ##
6653 > ## Report this to gezelter@nd.edu ##
6654 > ## ------------------------------ ##
6655 > _ASBOX
6656 >    ) |
6657 >      sed "s/^/$as_me: WARNING:     /" >&2
6658 >    ;;
6659 > esac
6660 > echo "$as_me:$LINENO: checking for fftw.h" >&5
6661 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6662 > if test "${ac_cv_header_fftw_h+set}" = set; then
6663 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6664   else
6665 <  echo "$as_me: failed program was:" >&5
6666 < sed 's/^/| /' conftest.$ac_ext >&5
6665 >  ac_cv_header_fftw_h=$ac_header_preproc
6666 > fi
6667 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6668 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6669  
6962
6963 { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6964 Do you have $prec precision FFTW installed? If you are using packages,
6965 note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6966 software at www.fftw.org.
6967 If you compiled FFTW yourself:
6968 Note that the default FFTW setup is double precision.  If you want MPI support,
6969 use --with-mpi. It is a good idea to install both single & double.
6970 If you have installed FFTW in a non-standard location, you should
6971 provide the correct paths in the CPPFLAGS and LDFLAGS environment
6972 variables before running configure.
6973 That is also necessary to do if your compiler doesn't search
6974 /usr/local/include and /usr/local/lib by default." >&5
6975 echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6976 Do you have $prec precision FFTW installed? If you are using packages,
6977 note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6978 software at www.fftw.org.
6979 If you compiled FFTW yourself:
6980 Note that the default FFTW setup is double precision.  If you want MPI support,
6981 use --with-mpi. It is a good idea to install both single & double.
6982 If you have installed FFTW in a non-standard location, you should
6983 provide the correct paths in the CPPFLAGS and LDFLAGS environment
6984 variables before running configure.
6985 That is also necessary to do if your compiler doesn't search
6986 /usr/local/include and /usr/local/lib by default." >&2;}
6987   { (exit 1); exit 1; }; }
6670   fi
6671 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6671 > if test $ac_cv_header_fftw_h = yes; then
6672 >  fftw_cv_fftw_h=yes
6673 > else
6674 >  fftw_cv_fftw_h=no
6675   fi
6676  
6677  
6678 < as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6679 < echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6680 < echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6681 < if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6678 >                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6679 >                then
6680 >                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6681 > echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6682 > if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6683    echo $ECHO_N "(cached) $ECHO_C" >&6
6684   else
6685    ac_check_lib_save_LIBS=$LIBS
6686 < LIBS="-l$fftwname  $LIBS"
6686 > LIBS="-ldfftw  $LIBS"
6687   cat >conftest.$ac_ext <<_ACEOF
6688   /* confdefs.h.  */
6689   _ACEOF
# Line 7005 | Line 6691 | cat >>conftest.$ac_ext <<_ACEOF
6691   cat >>conftest.$ac_ext <<_ACEOF
6692   /* end confdefs.h.  */
6693  
6694 <
6694 > /* Override any gcc2 internal prototype to avoid an error.  */
6695 > #ifdef __cplusplus
6696 > extern "C"
6697 > #endif
6698 > /* We use char because int might match the return type of a gcc2
6699 >   builtin and then its argument prototype would still apply.  */
6700 > char fftwnd_one ();
6701   #ifdef FC_DUMMY_MAIN
6702   #ifndef FC_DUMMY_MAIN_EQ_F77
6703   #  ifdef __cplusplus
# Line 7017 | Line 6709 | main ()
6709   int
6710   main ()
6711   {
6712 < main ();
6712 > fftwnd_one ();
6713    ;
6714    return 0;
6715   }
# Line 7044 | Line 6736 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6736    ac_status=$?
6737    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6738    (exit $ac_status); }; }; then
6739 <  eval "$as_ac_Lib=yes"
6739 >  ac_cv_lib_dfftw_fftwnd_one=yes
6740   else
6741    echo "$as_me: failed program was:" >&5
6742   sed 's/^/| /' conftest.$ac_ext >&5
6743  
6744 < eval "$as_ac_Lib=no"
6744 > ac_cv_lib_dfftw_fftwnd_one=no
6745   fi
6746   rm -f conftest.err conftest.$ac_objext \
6747        conftest$ac_exeext conftest.$ac_ext
6748   LIBS=$ac_check_lib_save_LIBS
6749   fi
6750 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6751 < echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6752 < if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6753 <  cat >>confdefs.h <<_ACEOF
7062 < #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
7063 < _ACEOF
7064 <
7065 <  LIBS="-l$fftwname $LIBS"
7066 <
6750 > echo "$as_me:$LINENO: result: $ac_cv_lib_dfftw_fftwnd_one" >&5
6751 > echo "${ECHO_T}$ac_cv_lib_dfftw_fftwnd_one" >&6
6752 > if test $ac_cv_lib_dfftw_fftwnd_one = yes; then
6753 >  fftw_cv_libdfftw=yes
6754   else
6755 <  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
7069 < echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
7070 <   { (exit 1); exit 1; }; }
6755 >  fftw_cv_libdfftw=no
6756   fi
6757  
6758 < ac_fftw_savedprefix=$usedprefix
6759 < ac_fftw_firstname=$fftwname
6760 <
6758 >                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6759 >  echo "$as_me:$LINENO: checking for dfftw.h" >&5
6760 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6761 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6762 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6763 > fi
6764 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6765 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6766   else
6767 <
6768 < fftwname=${ac_fftw_savedprefix}fftw3_mpi
6769 < echo "$as_me:$LINENO: checking for $fftwname.h" >&5
7080 < echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6767 >  # Is the header compilable?
6768 > echo "$as_me:$LINENO: checking dfftw.h usability" >&5
6769 > echo $ECHO_N "checking dfftw.h usability... $ECHO_C" >&6
6770   cat >conftest.$ac_ext <<_ACEOF
6771   /* confdefs.h.  */
6772   _ACEOF
6773   cat confdefs.h >>conftest.$ac_ext
6774   cat >>conftest.$ac_ext <<_ACEOF
6775   /* end confdefs.h.  */
6776 < #include <$fftwname.h>
6777 < #ifdef FC_DUMMY_MAIN
7089 < #ifndef FC_DUMMY_MAIN_EQ_F77
7090 < #  ifdef __cplusplus
7091 <     extern "C"
7092 < #  endif
7093 <   int FC_DUMMY_MAIN() { return 1; }
7094 < #endif
7095 < #endif
7096 < int
7097 < main ()
7098 < {
7099 <
7100 <  ;
7101 <  return 0;
7102 < }
6776 > $ac_includes_default
6777 > #include <dfftw.h>
6778   _ACEOF
6779   rm -f conftest.$ac_objext
6780   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 7123 | Line 6798 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6798    ac_status=$?
6799    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6800    (exit $ac_status); }; }; then
6801 <  echo "$as_me:$LINENO: result: yes" >&5
6802 < echo "${ECHO_T}yes" >&6
6803 < LIBS="-l$fftwname $LIBS"
6801 >  ac_header_compiler=yes
6802 > else
6803 >  echo "$as_me: failed program was:" >&5
6804 > sed 's/^/| /' conftest.$ac_ext >&5
6805 >
6806 > ac_header_compiler=no
6807 > fi
6808 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6809 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6810 > echo "${ECHO_T}$ac_header_compiler" >&6
6811 >
6812 > # Is the header present?
6813 > echo "$as_me:$LINENO: checking dfftw.h presence" >&5
6814 > echo $ECHO_N "checking dfftw.h presence... $ECHO_C" >&6
6815   cat >conftest.$ac_ext <<_ACEOF
6816   /* confdefs.h.  */
6817   _ACEOF
6818   cat confdefs.h >>conftest.$ac_ext
6819   cat >>conftest.$ac_ext <<_ACEOF
6820   /* end confdefs.h.  */
6821 <
7136 <
7137 < #ifdef FC_DUMMY_MAIN
7138 < #ifndef FC_DUMMY_MAIN_EQ_F77
7139 < #  ifdef __cplusplus
7140 <     extern "C"
7141 < #  endif
7142 <   int FC_DUMMY_MAIN() { return 1; }
7143 < #endif
7144 < #endif
7145 < int
7146 < main ()
7147 < {
7148 < main ();
7149 <  ;
7150 <  return 0;
7151 < }
6821 > #include <dfftw.h>
6822   _ACEOF
6823 < rm -f conftest.$ac_objext conftest$ac_exeext
6824 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7155 <  (eval $ac_link) 2>conftest.er1
6823 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6824 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6825    ac_status=$?
6826    grep -v '^ *+' conftest.er1 >conftest.err
6827    rm -f conftest.er1
6828    cat conftest.err >&5
6829    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6830 <  (exit $ac_status); } &&
6831 <         { ac_try='test -z "$ac_c_werror_flag"
6832 <                         || test ! -s conftest.err'
6833 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6834 <  (eval $ac_try) 2>&5
6835 <  ac_status=$?
6836 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7168 <  (exit $ac_status); }; } &&
7169 <         { ac_try='test -s conftest$ac_exeext'
7170 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7171 <  (eval $ac_try) 2>&5
7172 <  ac_status=$?
7173 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7174 <  (exit $ac_status); }; }; then
7175 <  :
6830 >  (exit $ac_status); } >/dev/null; then
6831 >  if test -s conftest.err; then
6832 >    ac_cpp_err=$ac_c_preproc_warn_flag
6833 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6834 >  else
6835 >    ac_cpp_err=
6836 >  fi
6837   else
6838 +  ac_cpp_err=yes
6839 + fi
6840 + if test -z "$ac_cpp_err"; then
6841 +  ac_header_preproc=yes
6842 + else
6843    echo "$as_me: failed program was:" >&5
6844   sed 's/^/| /' conftest.$ac_ext >&5
6845  
6846 +  ac_header_preproc=no
6847   fi
6848 < rm -f conftest.err conftest.$ac_objext \
6849 <      conftest$ac_exeext conftest.$ac_ext
6848 > rm -f conftest.err conftest.$ac_ext
6849 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6850 > echo "${ECHO_T}$ac_header_preproc" >&6
6851 >
6852 > # So?  What about this header?
6853 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6854 >  yes:no: )
6855 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6856 > echo "$as_me: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6857 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the compiler's result" >&5
6858 > echo "$as_me: WARNING: dfftw.h: proceeding with the compiler's result" >&2;}
6859 >    ac_header_preproc=yes
6860 >    ;;
6861 >  no:yes:* )
6862 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: present but cannot be compiled" >&5
6863 > echo "$as_me: WARNING: dfftw.h: present but cannot be compiled" >&2;}
6864 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     check for missing prerequisite headers?" >&5
6865 > echo "$as_me: WARNING: dfftw.h:     check for missing prerequisite headers?" >&2;}
6866 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: see the Autoconf documentation" >&5
6867 > echo "$as_me: WARNING: dfftw.h: see the Autoconf documentation" >&2;}
6868 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6869 > echo "$as_me: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6870 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the preprocessor's result" >&5
6871 > echo "$as_me: WARNING: dfftw.h: proceeding with the preprocessor's result" >&2;}
6872 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: in the future, the compiler will take precedence" >&5
6873 > echo "$as_me: WARNING: dfftw.h: in the future, the compiler will take precedence" >&2;}
6874 >    (
6875 >      cat <<\_ASBOX
6876 > ## ------------------------------ ##
6877 > ## Report this to gezelter@nd.edu ##
6878 > ## ------------------------------ ##
6879 > _ASBOX
6880 >    ) |
6881 >      sed "s/^/$as_me: WARNING:     /" >&2
6882 >    ;;
6883 > esac
6884 > echo "$as_me:$LINENO: checking for dfftw.h" >&5
6885 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6886 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6887 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6888   else
6889 <  echo "$as_me: failed program was:" >&5
7185 < sed 's/^/| /' conftest.$ac_ext >&5
7186 <
7187 <
7188 < echo "$as_me:$LINENO: result: no" >&5
7189 < echo "${ECHO_T}no" >&6
7190 < { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
7191 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
7192 < echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
7193 < fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
7194 <   { (exit 1); exit 1; }; }
7195 <
6889 >  ac_cv_header_dfftw_h=$ac_header_preproc
6890   fi
6891 < rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6891 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6892 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6893  
6894   fi
6895 + if test $ac_cv_header_dfftw_h = yes; then
6896 +  fftw_cv_dfftw_h=yes
6897 + else
6898 +  fftw_cv_dfftw_h=no
6899 + fi
6900  
6901  
6902 <  fi
6902 >                fi
6903 >        fi
6904 >        ac_ext=c
6905 > ac_cpp='$CPP $CPPFLAGS'
6906 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6907 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6908 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6909  
6910 <  case ${ac_fftw_savedprefix} in
6911 <   d)
6910 >
6911 >        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6912 >        then
6913 >
6914   cat >>confdefs.h <<\_ACEOF
6915 < #define FFTW_NAME_DFFTW
6916 < _ACEOF
6917 < ;;
6918 <   *)
6915 > #define HAVE_FFTW3_H 1
6916 > _ACEOF
6917 >
6918 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6919 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6920 >                FFTW_LIBS="-lfftw3"
6921 >        else
6922 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6923 >        then
6924 >
6925   cat >>confdefs.h <<\_ACEOF
6926 < #define FFTW_NAME_FFTW
6926 > #define HAVE_FFTW_H 1
6927   _ACEOF
6928 < ;;
6929 <  esac
6930 < else
6931 <  echo "*******************************************************************"
6932 <  echo "* FFTW libraries and include files are required for computing     *"
6933 <  echo "* undulation spectra with the staticProps program.  If you don't  *"
6934 <  echo "* fftw turned on, OOPSE will still work, but you won't be able to *"
6935 <  echo "* analyze your trajectories for this property.                    *"
6936 <  echo "*******************************************************************"
6937 < fi # end of fftw check
6928 >
6929 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6930 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6931 >                FFTW_LIBS="-lfftw"
6932 >        else
6933 >        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6934 >        then
6935 >
6936 > cat >>confdefs.h <<\_ACEOF
6937 > #define HAVE_DFFTW_H 1
6938 > _ACEOF
6939 >
6940 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6941 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6942 >                FFTW_LIBS="-ldfftw"
6943 >        else
6944 >                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6945 > echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6946 >                FFTW_INC_DIR=
6947 >                FFTW_LIB_DIR=
6948 >                FFTW_LIBS=
6949 >                LDFLAGS="$FFTW_OLD_LDFLAGS"
6950 >                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6951 >                echo "$as_me:$LINENO: result: failed" >&5
6952 > echo "${ECHO_T}failed" >&6
6953 >        echo ""
6954 >        echo "*********************************************************"
6955 >        echo "* WARNING: Could not find a working FFTW installation   *"
6956 >        echo "* If you need the staticProps program to be able to     *"
6957 >        echo "* compute undulation spectra, be sure to specify a      *"
6958 >        echo "* valid fftw installation with --with-fftw=DIR          *"
6959 >        echo "*                                                       *"
6960 >        echo "* OOPSE will still work without fftw installed.         *"
6961 >        echo "*********************************************************"
6962 >        echo ""
6963 >        fi
6964 >        fi
6965 >        fi
6966  
6967 +
6968 +
6969 + fi
6970 + fi
6971 +
6972 +
6973 +
6974   # Checks for header files.
6975   echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6976   echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
# Line 13780 | Line 13529 | fi
13529  
13530  
13531   fi
13783
13532  
13533  
13534  
# Line 14232 | Line 13980 | CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13980   CGAL_LIB_DIR=${CGAL_LIBDIR}
13981  
13982   CGAL_RLIB_DIR=${CGAL_RLIBDIR}
14235
13983  
13984  
13985  
# Line 15061 | Line 14808 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14808   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14809   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14810   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14811 + s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14812 + s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14813 + s,@FFTW_LIBS@,$FFTW_LIBS,;t t
14814   s,@LIBOBJS@,$LIBOBJS,;t t
14815   s,@POW_LIB@,$POW_LIB,;t t
14816   s,@CXXCPP@,$CXXCPP,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines